org.apache.synapse.commons.throttle.core.internal

## Class ThrottleServiceDataHolder

- java.lang.Object
- - org.apache.synapse.commons.throttle.core.internal.ThrottleServiceDataHolder

-     public class ThrottleServiceDataHolder
      extends java.lang.Object

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addDistributedCounterManager(DistributedCounterManager distributedCounterManager)`
    `DistributedCounterManager` | `getDistributedCounterManager()`
    `com.hazelcast.core.HazelcastInstance` | `getHazelCastInstance()`
    `static ThrottleServiceDataHolder` | `getInstance()`
    `ThrottleProperties` | `getThrottleProperties()`
    `void` | `removeDistributedCounterManager(DistributedCounterManager distributedCounterManager)`
    `void` | `setHazelCastInstance(com.hazelcast.core.HazelcastInstance hazelCastInstance)`
    `void` | `setThrottleProperties(ThrottleProperties throttleProperties)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getThrottleProperties

          public ThrottleProperties getThrottleProperties()

    - #### setThrottleProperties

          public void setThrottleProperties(ThrottleProperties throttleProperties)

    - #### getInstance

          public static ThrottleServiceDataHolder getInstance()

    - #### getHazelCastInstance

          public com.hazelcast.core.HazelcastInstance getHazelCastInstance()

    - #### setHazelCastInstance

          public void setHazelCastInstance(com.hazelcast.core.HazelcastInstance hazelCastInstance)

    - #### addDistributedCounterManager

          public void addDistributedCounterManager(DistributedCounterManager distributedCounterManager)

    - #### removeDistributedCounterManager

          public void removeDistributedCounterManager(DistributedCounterManager distributedCounterManager)

    - #### getDistributedCounterManager

          public DistributedCounterManager getDistributedCounterManager()

Copyright © 2005-2022 Apache Software Foundation. All Rights Reserved.